package sensor

import (
	"log"

	"git.cryptic.systems/fh-trier/go-flucky/pkg/types"
)

type DHT11Sensor struct {
	*types.Sensor
}

func (s *DHT11Sensor) ReadHumidity() (*types.Humidity, error) {
	log.Println("DHT11 Read Method not yet implemented")
	return nil, nil
}

func (s *DHT11Sensor) ReadTemperature() (*types.Temperature, error) {
	log.Println("DHT11 Read Method not yet implemented")
	return nil, nil
}
